import "../util/graphic.mjs";
import ZRText from "../../../../../zrender@5.4.4/node_modules/zrender/lib/graphic/Text.mjs";
function getTextRect(text, font, align, verticalAlign, padding, rich, truncate, lineHeight) {
  var textEl = new ZRText({
    style: {
      text,
      font,
      align,
      verticalAlign,
      padding,
      rich,
      overflow: truncate ? "truncate" : null,
      lineHeight
    }
  });
  return textEl.getBoundingRect();
}
export {
  getTextRect
};
